/**
 * WEEK 13
 *
 * FRANCISCO SANCHEZ ARROYO
 * FAB ACADEMY 2013
 * FABLAB BARCELONA
 *
 * This program reads analog input from a LDR
 * and transforms it to a PWM signal to move a servo.
 */
 
#include <Servo.h> 
int ldrPin = 1;    // Analog input pin for the LDR
int light;         // Value read from the ldr
int pwm;           // Value of the servo
 
Servo servo1;  // Create a servo object

 /**
 * Setup
 */
void setup()
{
  servo1.attach(6);    // Use pin 6 PWM output for horizontal servo
 
}
 
/**
 * Main program loop
 */
void loop()
{
light = analogRead(ldrPin);
pwm = map(light,0,1023,0,179);  // Scale reading to suit servo
servo1.write(pwm); // Move servo to required position
delay(500);        // Give time for the servo to settle
  
}
 
